
QGIS Application - Bug report #21354

SAGA Difference wrong result

2019-02-22 07:30 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 29172

Description

Hi

Using SAGA Difference in processing I try to create a new layer with the result as a difference between the two layers.

It gives a 'strange' result. 

I have controlled for illegale geom, overlap and duplicates - OK

If I use select by location the result is correct.

Data added in Geopackage

History

#1 - 2019-02-22 08:26 PM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Open to Closed

This bug is in saga itself - use the native QGIS difference tool instead, it's well tested, faster, and more robust.

#2 - 2019-03-04 01:00 PM - Pedro Venâncio

- File test_saga_720.jpg added

- File test_saga_232.jpg added

This seems a bug in SAGA version 2.3.2, used by QGIS.

I've just tested Difference algorithm with Lene dataset in native SAGA 2.3.2 and 7.2.0, and 2.3.2 gives the problem described, but 7.2.0 gives the correct

result, as you can see in the images attached.

Files

test.gpkg 500 KB 2019-02-22 Lene Fischer

test_saga_232.jpg 552 KB 2019-03-04 Pedro Venâncio

test_saga_720.jpg 509 KB 2019-03-04 Pedro Venâncio
